commit: 159517c6d1f9ce7e49fe79817b3c94639611389b
Author: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 19 11:11:19 2022 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sat Feb 19 11:12:21 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=159517c6
media-gfx/libredwg: add version 0.12.5
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
media-gfx/libredwg/Manifest | 2 +
media-gfx/libredwg/libredwg-0.12.5.ebuild | 110 ++++++++++++++++++++++++++++++
2 files changed, 112 insertions(+)
diff --git a/media-gfx/libredwg/Manifest b/media-gfx/libredwg/Manifest
index 1899b90fb653..9890c3c5ce28 100644
--- a/media-gfx/libredwg/Manifest
+++ b/media-gfx/libredwg/Manifest
@@ -1 +1,3 @@
DIST libredwg-0.12.4.tar.gz 18318912 BLAKE2B
21ff443881c19782c747ddf880eba23090295432edf4367161472aeef970e1b93983967e667ca2c3e140bf0b97e7b238bbe4a342815df365cee10bde83a04178
SHA512
df9424f475be512a6e9e02a1156a7d6a966f684f5753f420843593ee9dc236bd33bd10dbd627bab1b9adab9b8e7cb3a6b464c15e643ae755bc7e11974c05cd7a
+DIST libredwg-0.12.5.tar.gz 16855123 BLAKE2B
2ca0bfafdb0ca6e412d3aaf7df21f80a2eed4bad795bffacc1c767f23dc555b35b2aeedb35dffab099c5dbab2890f9363cfc1508c3fec16a6ff51ce79a272e3e
SHA512
0b5da6e863410d9ce012d311e921a39fa0d9cb6d96d17f1df70ca767c1768cd625e35503f24830a6a33400ede92d14b36ce87b92f177a5af7e6d4573920cf50c
+DIST libredwg-85695f3d5903b1cd5b4030efe50db3b4f5f3c928.tar.gz 12597 BLAKE2B
cd01f6c446d5d129545fdae07c0101d133e1f4e69ee62e94c27c3c2853dcc30854f40aed0c6f38f6594c5f5eb9e7b2d18d3b2e4f487b7bf1a3f7f39facde38bc
SHA512
1d08cfa6216e0fe671dab77a0bd0b4ef0c4eb174878eba909c680e0ee93a82079b3cbf60afe2de7b0078258de8bcc588961e59cf0c14fe5f2d1f70db639ef95a
diff --git a/media-gfx/libredwg/libredwg-0.12.5.ebuild
b/media-gfx/libredwg/libredwg-0.12.5.ebuild
new file mode 100644
index 000000000000..0d74bb5e092f
--- /dev/null
+++ b/media-gfx/libredwg/libredwg-0.12.5.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DOCS_BUILDER="doxygen"
+# File is hardcoded to be run from ../ so we use this instead of DOCS_DIR
+DOCS_CONFIG_NAME="doc/Doxyfile"
+
+inherit autotools docs python-single-r1 perl-functions
+
+JSMN_COMMIT="85695f3d5903b1cd5b4030efe50db3b4f5f3c928"
+
+DESCRIPTION="C library to handle DWG files"
+HOMEPAGE="https://www.gnu.org/software/libredwg/"
+SRC_URI="
+ https://github.com/LibreDWG/${PN}/archive/refs/tags/${PV}.tar.gz ->
${P}.tar.gz
+ https://github.com/zserge/jsmn/archive/${JSMN_COMMIT}.tar.gz ->
${PN}-${JSMN_COMMIT}.tar.gz
+"
+
+LICENSE="GPL-3 MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# https://github.com/LibreDWG/libredwg/issues/342
+RESTRICT="test"
+
+IUSE="debug python perl static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+ python? ( ${PYTHON_DEPS} )
+ perl? ( dev-lang/perl )
+ dev-libs/libpcre2
+ dev-libs/pslib
+"
+DEPEND="${RDEPEND}
+ python? ( dev-lang/swig )
+ perl? ( dev-lang/swig )
+"
+BDEPEND="|| (
+ sys-devel/gcc[sanitize]
+ sys-libs/compiler-rt-sanitizers[asan(-)]
+ )
+ dev-vcs/git
+"
+
+src_unpack() {
+ # Build system really wants jsmn to be here
+ default
+ rm -r "${S}/jsmn" || die
+ mv "${WORKDIR}/jsmn-${JSMN_COMMIT}" "${S}/jsmn" || die
+}
+
+src_prepare() {
+ default
+ # https://github.com/LibreDWG/libredwg/issues/404
+ # Workaround: release tarball does not include dwg2ps.1.
+ # Upstream autotools stuff has to be run in git repo
+ git init -q || die
+ git config --global user.email "[email protected]" || die
+ git config --global user.name "Larry the Cow" || die
+ git add . || die
+ git commit -qm 'init' || die
+ git tag ${PV} || die
+ eautoreconf
+}
+
+src_configure() {
+ perl_set_version
+ local myconf=(
+ --enable-write
+ --enable-dxf
+ --enable-json
+ --disable-gcov
+ $(use_enable !debug release)
+ $(use_enable debug trace)
+ $(use_enable debug)
+ $(use_enable static-libs static)
+ $(use_enable python python "${EPYTHON}")
+ $(usex perl "--with-perl-install=vendor"
"--with-perl-install=no")
+ )
+
+ if use python || use perl; then
+ myconf+=( --enable-bindings )
+ else
+ myconf+=( --disable-bindings )
+ fi
+
+ econf ${myconf[@]}
+
+ # Fix variable references itself error, fails in src_install otherwise.
+ # Can't put this in src_prepare and use eautoreconf because eautoreconf
+ # only works inside a git repository for this package.
+ sed -i -e 's/TEXINPUTS =
"$(TEXINPUTS)$(PATH_SEPARATOR)$(TEXINFO_TEX_DIR)"/TEXINPUTS +=
"$(PATH_SEPARATOR)$(TEXINFO_TEX_DIR)"/g' doc/Makefile || die
+}
+
+src_compile() {
+ perl_set_version
+ emake
+ docs_compile
+}
+
+src_install() {
+ perl_set_version
+ default
+ use python && python_optimize
+ use perl && perl_domodule bindings/perl/LibreDWG.pm
+}